Microsoft

Integrate your application with the Microsoft API

🚀 Quickstart

Connect to Microsoft with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Microsoft.

Authorize Microsoft

Go to Connections -> Add Test Connection -> Authorize, then log in to Microsoft. Later, you'll let your users do the same directly from your app.

Call the Microsoft API

Let's make your first request to the Microsoft Graph API (fetch the current user's profile). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v1.0/me" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Microsoft Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Microsoft Graph API documentation

🧩 Pre-built syncs & actions for Microsoft

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
add-group-memberAdd a member (user, group, or service principal) to a group in Microsoft.Action🔗 Github
create-applicationCreate a new application in Microsoft Entra IDAction🔗 Github
create-groupCreate a group in MicrosoftAction🔗 Github
create-service-principalCreate a service principal in Microsoft Entra ID for an existing application.Action🔗 Github
create-userCreate a user in Microsoft Azure ADAction🔗 Github
delete-applicationDelete or archive an application in Microsoft.Action🔗 Github
delete-groupDelete or archive a group in MicrosoftAction🔗 Github
delete-service-principalDelete a service principal in Microsoft Entra IDAction🔗 Github
delete-userDelete or archive a user in MicrosoftAction🔗 Github
get-applicationRetrieve a single application from Microsoft.Action🔗 Github
get-directory-roleRetrieve a single directory role from Microsoft.Action🔗 Github
get-groupRetrieve a single group from Microsoft.Action🔗 Github
get-organizationRetrieve a single organization from Microsoft.Action🔗 Github
get-service-principalRetrieve a single service principal from Microsoft.Action🔗 Github
get-userRetrieve a single user from MicrosoftAction🔗 Github
list-applicationsList applications from Microsoft Graph APIAction🔗 Github
list-devicesList devices from Microsoft GraphAction🔗 Github
list-directory-role-membersList all members (users and service principals) assigned to a directory role in Microsoft.Action🔗 Github
list-directory-rolesList directory roles from Microsoft Graph. Returns activated directory roles in the tenant.Action🔗 Github
list-group-membersList all direct members of a group in MicrosoftAction🔗 Github
list-groupsList groups from MicrosoftAction🔗 Github
list-organizationsList organizations from Microsoft Graph.Action🔗 Github
list-service-principalsList service principals from Microsoft GraphAction🔗 Github
list-user-membershipsList all groups, directory roles, and administrative units that a user is a member of in Microsoft.Action🔗 Github
list-usersList users from MicrosoftAction🔗 Github
remove-group-memberRemove a member from a group in Microsoft.Action🔗 Github
update-applicationUpdate an application in Microsoft EntraAction🔗 Github
update-groupUpdate a group in Microsoft.Action🔗 Github
update-organizationUpdate the properties of a Microsoft organization.Action🔗 Github
update-service-principalUpdate a service principal in Microsoft Entra ID.Action🔗 Github
update-userUpdate a user in Microsoft Entra IDAction🔗 Github
applicationsSync applications from Microsoft GraphSync🔗 Github
directory-rolesSync directory roles from MicrosoftSync🔗 Github
groupsSync groups from Microsoft Graph with incremental delta trackingSync🔗 Github
organizationsSync organizations from MicrosoftSync🔗 Github
service-principalsSync service principals from Microsoft GraphSync🔗 Github
usersSync users from MicrosoftSync🔗 Github

On this page